Ext.data.JsonP.jQuery_canvas({"tagname":"class","name":"jQuery.canvas","autodetected":{},"files":[{"filename":"canvas.js","href":"canvas.html#jQuery-canvas"}],"uses":["jQuery.canvas.canvastext","jQuery.canvas.excanvas"],"since":"6.14.0","members":[{"name":"arc","tagname":"method","owner":"jQuery.canvas","id":"method-arc","meta":{}},{"name":"arcTo","tagname":"method","owner":"jQuery.canvas","id":"method-arcTo","meta":{}},{"name":"beginPath","tagname":"method","owner":"jQuery.canvas","id":"method-beginPath","meta":{}},{"name":"bezierCurveTo","tagname":"method","owner":"jQuery.canvas","id":"method-bezierCurveTo","meta":{}},{"name":"calcTextDimensions","tagname":"method","owner":"jQuery.canvas","id":"method-calcTextDimensions","meta":{}},{"name":"clearRect","tagname":"method","owner":"jQuery.canvas","id":"method-clearRect","meta":{}},{"name":"clip","tagname":"method","owner":"jQuery.canvas","id":"method-clip","meta":{}},{"name":"closePath","tagname":"method","owner":"jQuery.canvas","id":"method-closePath","meta":{}},{"name":"createLinearGradient","tagname":"method","owner":"jQuery.canvas","id":"method-createLinearGradient","meta":{}},{"name":"createPattern","tagname":"method","owner":"jQuery.canvas","id":"method-createPattern","meta":{}},{"name":"createRadialGradient","tagname":"method","owner":"jQuery.canvas","id":"method-createRadialGradient","meta":{}},{"name":"drawImage","tagname":"method","owner":"jQuery.canvas","id":"method-drawImage","meta":{}},{"name":"fill","tagname":"method","owner":"jQuery.canvas","id":"method-fill","meta":{}},{"name":"fillRect","tagname":"method","owner":"jQuery.canvas","id":"method-fillRect","meta":{}},{"name":"fillStyle","tagname":"method","owner":"jQuery.canvas","id":"method-fillStyle","meta":{}},{"name":"fillText","tagname":"method","owner":"jQuery.canvas","id":"method-fillText","meta":{}},{"name":"font","tagname":"method","owner":"jQuery.canvas","id":"method-font","meta":{}},{"name":"getImageData","tagname":"method","owner":"jQuery.canvas","id":"method-getImageData","meta":{}},{"name":"globalAlpha","tagname":"method","owner":"jQuery.canvas","id":"method-globalAlpha","meta":{}},{"name":"globalCompositeOperation","tagname":"method","owner":"jQuery.canvas","id":"method-globalCompositeOperation","meta":{}},{"name":"isPointInPath","tagname":"method","owner":"jQuery.canvas","id":"method-isPointInPath","meta":{}},{"name":"lineCap","tagname":"method","owner":"jQuery.canvas","id":"method-lineCap","meta":{}},{"name":"lineJoin","tagname":"method","owner":"jQuery.canvas","id":"method-lineJoin","meta":{}},{"name":"lineTo","tagname":"method","owner":"jQuery.canvas","id":"method-lineTo","meta":{}},{"name":"lineWidth","tagname":"method","owner":"jQuery.canvas","id":"method-lineWidth","meta":{}},{"name":"measureText","tagname":"method","owner":"jQuery.canvas","id":"method-measureText","meta":{}},{"name":"miterLimit","tagname":"method","owner":"jQuery.canvas","id":"method-miterLimit","meta":{}},{"name":"moveTo","tagname":"method","owner":"jQuery.canvas","id":"method-moveTo","meta":{}},{"name":"multiline","tagname":"method","owner":"jQuery.canvas","id":"method-multiline","meta":{}},{"name":"putImageData","tagname":"method","owner":"jQuery.canvas","id":"method-putImageData","meta":{}},{"name":"quadraticCurveTo","tagname":"method","owner":"jQuery.canvas","id":"method-quadraticCurveTo","meta":{}},{"name":"rect","tagname":"method","owner":"jQuery.canvas","id":"method-rect","meta":{}},{"name":"restore","tagname":"method","owner":"jQuery.canvas","id":"method-restore","meta":{}},{"name":"rotate","tagname":"method","owner":"jQuery.canvas","id":"method-rotate","meta":{}},{"name":"save","tagname":"method","owner":"jQuery.canvas","id":"method-save","meta":{}},{"name":"scale","tagname":"method","owner":"jQuery.canvas","id":"method-scale","meta":{}},{"name":"shadowBlur","tagname":"method","owner":"jQuery.canvas","id":"method-shadowBlur","meta":{}},{"name":"shadowColor","tagname":"method","owner":"jQuery.canvas","id":"method-shadowColor","meta":{}},{"name":"shadowOffsetX","tagname":"method","owner":"jQuery.canvas","id":"method-shadowOffsetX","meta":{}},{"name":"shadowOffsetY","tagname":"method","owner":"jQuery.canvas","id":"method-shadowOffsetY","meta":{}},{"name":"stroke","tagname":"method","owner":"jQuery.canvas","id":"method-stroke","meta":{}},{"name":"strokeRect","tagname":"method","owner":"jQuery.canvas","id":"method-strokeRect","meta":{}},{"name":"strokeStyle","tagname":"method","owner":"jQuery.canvas","id":"method-strokeStyle","meta":{}},{"name":"strokeText","tagname":"method","owner":"jQuery.canvas","id":"method-strokeText","meta":{}},{"name":"toDataURL","tagname":"method","owner":"jQuery.canvas","id":"method-toDataURL","meta":{}},{"name":"translate","tagname":"method","owner":"jQuery.canvas","id":"method-translate","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-jQuery.canvas","short_doc":"Create a HTML5 canvas element. ...","component":false,"superclasses":[],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"html":"<div><pre class=\"hierarchy\"><h4>Uses</h4><div class='dependency'>jQuery.canvas.canvastext</div><div class='dependency'>jQuery.canvas.excanvas</div><h4>Files</h4><div class='dependency'><a href='source/canvas.html#jQuery-canvas' target='_blank'>canvas.js</a></div></pre><div class='doc-contents'><p>Create a HTML5 canvas element.</p>\n\n<p>The <code>ep.canvas()</code> function creates canvas elements which also work in older browsers without\nnative canvas support (like the Internet Explorer 7 and 8). Therefor the excanvas and canvastext\nplugins are used.</p>\n\n<p>The plugin offers the default methods and attributes from the canvas api and a multiline text drawing\nmethod.</p>\n\n<h3>Examples</h3>\n\n<p>Create a canvas and draw on it</p>\n\n<p>JavaScript:</p>\n\n<pre><code>$('&lt;canvas /&gt;')\n  .appendTo('body')\n  .canvas()\n    .fillStyle('#4E8DA6')\n    .fillRect(10, 10, 200, 100)\n    .strokeStyle('#F2EA79')\n    .lineWidth(5)\n    .lineJoin('round')\n    .strokeRect(10, 10, 200, 100)\n    .fillStyle('#011C40')\n    .multiline({\n       x: 40,\n       y: 40,\n       phi: 15,\n       text: \"Hello World\",\n       fontSize: 22,\n       fontFamily: \"Arial\",\n       align: 'center',\n       delimiter: \"\\n\",\n       rp: 'c',\n       style: 'fillText'\n    });\n</code></pre>\n        <p>Available since: <b>6.14.0</b></p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-arc' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-arc' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-arc' class='name expandable'>arc</a>( <span class='pre'>x, y, r, sAngle, eAngle, [clockwise]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Creates a circle, or parts of a circle. ...</div><div class='long'><p>Creates a circle, or parts of a circle.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>x</span> : Float<div class='sub-desc'><p>The x-coordinate of the center of the circle.</p>\n</div></li><li><span class='pre'>y</span> : Float<div class='sub-desc'><p>The y-coordinate of the center of the circle.</p>\n</div></li><li><span class='pre'>r</span> : Image<div class='sub-desc'><p>The radius of the circle.</p>\n</div></li><li><span class='pre'>sAngle</span> : Float<div class='sub-desc'><p>Specifies where in the circle's angle the drawing should start.</p>\n</div></li><li><span class='pre'>eAngle</span> : Float<div class='sub-desc'><p>Specifies where in the circle's angle the drawing should end.</p>\n</div></li><li><span class='pre'>clockwise</span> : Boolean (optional)<div class='sub-desc'><p>Specifies whether the drawing should be clockwise or not.</p>\n</div></li></ul></div></div></div><div id='method-arcTo' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-arcTo' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-arcTo' class='name expandable'>arcTo</a>( <span class='pre'>x1, y1, x2, y2, r</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Creates an arc between two points. ...</div><div class='long'><p>Creates an arc between two points.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>x1</span> : Float<div class='sub-desc'><p>The x-coordinate of the beginning of the arc.</p>\n</div></li><li><span class='pre'>y1</span> : Float<div class='sub-desc'><p>The y-coordinate of the beginning of the arc.</p>\n</div></li><li><span class='pre'>x2</span> : Float<div class='sub-desc'><p>The x-coordinate of the end of the arc.</p>\n</div></li><li><span class='pre'>y2</span> : Float<div class='sub-desc'><p>The y-coordinate of the end of the arc.</p>\n</div></li><li><span class='pre'>r</span> : Float<div class='sub-desc'><p>The radius of the arc.</p>\n</div></li></ul></div></div></div><div id='method-beginPath' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-beginPath' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-beginPath' class='name expandable'>beginPath</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Starts a new path, or clears the current path. ...</div><div class='long'><p>Starts a new path, or clears the current path.</p>\n        <p>Available since: <b>6.14.0</b></p>\n</div></div></div><div id='method-bezierCurveTo' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-bezierCurveTo' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-bezierCurveTo' class='name expandable'>bezierCurveTo</a>( <span class='pre'>x1, y1, x2, y2, x, y</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Creates a cubic Bezier curve from the current point in the path to the specified path. ...</div><div class='long'><p>Creates a cubic Bezier curve from the current point in the path to the specified path.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>x1</span> : Float<div class='sub-desc'><p>The x-coordinate of the first controlpoint.</p>\n</div></li><li><span class='pre'>y1</span> : Float<div class='sub-desc'><p>The y-coordinate of the first controlpoint.</p>\n</div></li><li><span class='pre'>x2</span> : Float<div class='sub-desc'><p>The x-coordinate of the second controlpoint.</p>\n</div></li><li><span class='pre'>y2</span> : Float<div class='sub-desc'><p>The y-coordinate of the second controlpoint.</p>\n</div></li><li><span class='pre'>x</span> : Float<div class='sub-desc'><p>The x-coordinate of where to create the line to.</p>\n</div></li><li><span class='pre'>y</span> : Float<div class='sub-desc'><p>The y-coordinate of where to create the line to.</p>\n</div></li></ul></div></div></div><div id='method-calcTextDimensions' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-calcTextDimensions' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-calcTextDimensions' class='name expandable'>calcTextDimensions</a>( <span class='pre'>[x], [y], text, [style], [fontSize], [fontFamily], [fontUnit], [phi], [rp], [delimiter], [align], [maxWidth], [maxHeight], [resizeCanvas], [resizable], [correctLineHeight]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Calculates the size of a text. ...</div><div class='long'><p>Calculates the size of a text.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>x</span> : Float (optional)<div class='sub-desc'><p>The canvas' x-coordinate of where to place the text.</p>\n</div></li><li><span class='pre'>y</span> : Float (optional)<div class='sub-desc'><p>The canvas' y-coordinate of where to place the text.</p>\n</div></li><li><span class='pre'>text</span> : String<div class='sub-desc'><p>The text that will be written on the canvas.</p>\n</div></li><li><span class='pre'>style</span> : String (optional)<div class='sub-desc'><p>The style of the text that will be written on the canvas (possible values: fillText, strokeText).</p>\n</div></li><li><span class='pre'>fontSize</span> : Float (optional)<div class='sub-desc'><p>The font size the text that will be written on the canvas.</p>\n</div></li><li><span class='pre'>fontFamily</span> : String (optional)<div class='sub-desc'><p>The font family of the text that will be written on the canvas.</p>\n</div></li><li><span class='pre'>fontUnit</span> : String (optional)<div class='sub-desc'><p>The font unit of the text that will be written on the canvas.</p>\n</div></li><li><span class='pre'>phi</span> : Float (optional)<div class='sub-desc'><p>The rotation angle (in degree) of the text that will be written on the canvas.</p>\n</div></li><li><span class='pre'>rp</span> : String (optional)<div class='sub-desc'><p>The point around the text will be rotated (possible values: nw, n, ne, w, c (default), e, sw, s, se).</p>\n</div></li><li><span class='pre'>delimiter</span> : String (optional)<div class='sub-desc'><p>The delimiter used to detect a new line.</p>\n</div></li><li><span class='pre'>align</span> : String (optional)<div class='sub-desc'><p>The text align of the text that will be written on the canvas.</p>\n</div></li><li><span class='pre'>maxWidth</span> : Float (optional)<div class='sub-desc'><p>The maximal width of the text drawing.</p>\n</div></li><li><span class='pre'>maxHeight</span> : Float (optional)<div class='sub-desc'><p>The maximal height of the text drawing.</p>\n</div></li><li><span class='pre'>resizeCanvas</span> : Boolean (optional)<div class='sub-desc'><p>A boolean that defines whether a text will be scaled if the maximum size is reached.</p>\n</div></li><li><span class='pre'>resizable</span> : Boolean (optional)<div class='sub-desc'><p>A boolean that defines whether a text will be trimmed if the maximum size is reached .</p>\n</div></li><li><span class='pre'>correctLineHeight</span> : Float (optional)<div class='sub-desc'><p>An offset to correct the line height.</p>\n</div></li></ul></div></div></div><div id='method-clearRect' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-clearRect' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-clearRect' class='name expandable'>clearRect</a>( <span class='pre'>x, y, width, height</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Clears a rectangle area. ...</div><div class='long'><p>Clears a rectangle area. All pixels inside this area will be erased.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>x</span> : Float<div class='sub-desc'><p>The x-coordinate of where to place the upperleft corner of the rectangle.</p>\n</div></li><li><span class='pre'>y</span> : Float<div class='sub-desc'><p>The y-coordinate of where to place the upperleft corner of the rectangle.</p>\n</div></li><li><span class='pre'>width</span> : Float<div class='sub-desc'><p>The width of the rectangle, in pixels.</p>\n</div></li><li><span class='pre'>height</span> : Float<div class='sub-desc'><p>The height of the rectangle, in pixels.</p>\n</div></li></ul></div></div></div><div id='method-clip' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-clip' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-clip' class='name expandable'>clip</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Creates an area in the canvas, and this area is the only visible area in the canvas. ...</div><div class='long'><p>Creates an area in the canvas, and this area is the only visible area in the canvas.</p>\n        <p>Available since: <b>6.14.0</b></p>\n</div></div></div><div id='method-closePath' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-closePath' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-closePath' class='name expandable'>closePath</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Creates a line (path) from the last point in the path, to the first point. ...</div><div class='long'><p>Creates a line (path) from the last point in the path, to the first point. Completes the path.</p>\n        <p>Available since: <b>6.14.0</b></p>\n</div></div></div><div id='method-createLinearGradient' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-createLinearGradient' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-createLinearGradient' class='name expandable'>createLinearGradient</a>( <span class='pre'>x0, y0, x1, y1</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Creates a gradient object. ...</div><div class='long'><p>Creates a gradient object. Use this object as a value to the strokeStyle or fillStyle attributes.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>x0</span> : Float<div class='sub-desc'><p>The x-coordinate of the start of the gradient.</p>\n</div></li><li><span class='pre'>y0</span> : Float<div class='sub-desc'><p>The y-coordinate of the start of the gradient.</p>\n</div></li><li><span class='pre'>x1</span> : Float<div class='sub-desc'><p>The x-coordinate of the end of the gradient.</p>\n</div></li><li><span class='pre'>y1</span> : Float<div class='sub-desc'><p>The y-coordinate of the end of the gradient.</p>\n</div></li></ul></div></div></div><div id='method-createPattern' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-createPattern' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-createPattern' class='name expandable'>createPattern</a>( <span class='pre'>img, repeat</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Creates a pattern from an image to be used by the fillStyle or strokeStyle attributes. ...</div><div class='long'><p>Creates a pattern from an image to be used by the fillStyle or strokeStyle attributes.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>img</span> : Image<div class='sub-desc'><p>The image object to use when creating the pattern.</p>\n</div></li><li><span class='pre'>repeat</span> : String<div class='sub-desc'><p>Describes how the pattern will be repeated (possible values: repeat, repeat-x, repeat-y, no-repeat).</p>\n</div></li></ul></div></div></div><div id='method-createRadialGradient' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-createRadialGradient' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-createRadialGradient' class='name expandable'>createRadialGradient</a>( <span class='pre'>x0, y0, r0, x1, y1, r1</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Creates a gradient object as a circle. ...</div><div class='long'><p>Creates a gradient object as a circle. Use this object as a value to the strokeStyle or fillStyle attributes.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>x0</span> : Float<div class='sub-desc'><p>The x-coordinate of the start of the gradient.</p>\n</div></li><li><span class='pre'>y0</span> : Float<div class='sub-desc'><p>The y-coordinate of the start of the gradient.</p>\n</div></li><li><span class='pre'>r0</span> : Float<div class='sub-desc'><p>The radius of the start-circle of the gradient.</p>\n</div></li><li><span class='pre'>x1</span> : Float<div class='sub-desc'><p>The x-coordinate of the end of the gradient.</p>\n</div></li><li><span class='pre'>y1</span> : Float<div class='sub-desc'><p>The y-coordinate of the end of the gradient.</p>\n</div></li><li><span class='pre'>r1</span> : Float<div class='sub-desc'><p>The radius of the start-circle of the gradient.</p>\n</div></li></ul></div></div></div><div id='method-drawImage' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-drawImage' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-drawImage' class='name expandable'>drawImage</a>( <span class='pre'>img, x, y, [width], [height], [dx], [dy], [dwidth], [dheight]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Draws an image onto the canvas. ...</div><div class='long'><p>Draws an image onto the canvas.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>img</span> : Image, Video, Canvas<div class='sub-desc'><p>The image object to use in the drawing.</p>\n</div></li><li><span class='pre'>x</span> : Float<div class='sub-desc'><p>The x coordinate of where to position the top-left corner of the image.</p>\n</div></li><li><span class='pre'>y</span> : Float<div class='sub-desc'><p>The y coordinate of where to position the top-left corner of the image.</p>\n</div></li><li><span class='pre'>width</span> : Float (optional)<div class='sub-desc'><p>The width of the drawing (image), in pixels.</p>\n</div></li><li><span class='pre'>height</span> : Float (optional)<div class='sub-desc'><p>The height of the drawing (image), in pixels.</p>\n</div></li><li><span class='pre'>dx</span> : Float (optional)<div class='sub-desc'><p>The x coordinate of where to position the clipped part of the image.</p>\n</div></li><li><span class='pre'>dy</span> : Float (optional)<div class='sub-desc'><p>The y coordinate of where to position the clipped part of the image.</p>\n</div></li><li><span class='pre'>dwidth</span> : Float (optional)<div class='sub-desc'><p>The width of the clipped part of the image, in pixels.</p>\n</div></li><li><span class='pre'>dheight</span> : Float (optional)<div class='sub-desc'><p>The height of the clipped part of the image, in pixels.</p>\n</div></li></ul></div></div></div><div id='method-fill' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-fill' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-fill' class='name expandable'>fill</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fills the current path with the selected colorh. ...</div><div class='long'><p>Fills the current path with the selected colorh.</p>\n        <p>Available since: <b>6.14.0</b></p>\n</div></div></div><div id='method-fillRect' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-fillRect' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-fillRect' class='name expandable'>fillRect</a>( <span class='pre'>x, y, width, height</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Draws a filled rectangle using the color/style of the fillStyle attribute. ...</div><div class='long'><p>Draws a filled rectangle using the color/style of the fillStyle attribute.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>x</span> : Float<div class='sub-desc'><p>The x-coordinate of where to place the upperleft corner of the rectangle.</p>\n</div></li><li><span class='pre'>y</span> : Float<div class='sub-desc'><p>The y-coordinate of where to place the upperleft corner of the rectangle.</p>\n</div></li><li><span class='pre'>width</span> : Float<div class='sub-desc'><p>The width of the rectangle, in pixels.</p>\n</div></li><li><span class='pre'>height</span> : Float<div class='sub-desc'><p>The height of the rectangle, in pixels.</p>\n</div></li></ul></div></div></div><div id='method-fillStyle' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-fillStyle' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-fillStyle' class='name expandable'>fillStyle</a>( <span class='pre'>[value]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Setter and getter method to define the fill color or style of a shape or text. ...</div><div class='long'><p>Setter and getter method to define the fill color or style of a shape or text.</p>\n\n<p>Possible color formats:\n- color name as string\n- rgb(a)\n- hex</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>value</span> : Color, Style (optional)<div class='sub-desc'><p>A value to define the color or style.</p>\n</div></li></ul></div></div></div><div id='method-fillText' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-fillText' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-fillText' class='name expandable'>fillText</a>( <span class='pre'>text, x, y, [maxWidth]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Draws text on the canvas and fills it with the color set by the fillStyle attribute. ...</div><div class='long'><p>Draws text on the canvas and fills it with the color set by the fillStyle attribute.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>text</span> : String<div class='sub-desc'><p>The text that will be written on the canvas.</p>\n</div></li><li><span class='pre'>x</span> : Float<div class='sub-desc'><p>The canvas' x-coordinate of where to place the text.</p>\n</div></li><li><span class='pre'>y</span> : Float<div class='sub-desc'><p>The canvas' y-coordinate of where to place the text.</p>\n</div></li><li><span class='pre'>maxWidth</span> : Float (optional)<div class='sub-desc'><p>The maximum allowed width of the text, in pixels.</p>\n</div></li></ul></div></div></div><div id='method-font' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-font' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-font' class='name expandable'>font</a>( <span class='pre'>[value]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Setter and getter method to define the font properties used for writing on the canvas. ...</div><div class='long'><p>Setter and getter method to define the font properties used for writing on the canvas.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>value</span> : String (optional)<div class='sub-desc'><p>The font properties used for writing on the canvas.</p>\n</div></li></ul></div></div></div><div id='method-getImageData' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-getImageData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-getImageData' class='name expandable'>getImageData</a>( <span class='pre'>x, y, width, height</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Creates a new imagedata object, containing data from the canvas. ...</div><div class='long'><p>Creates a new imagedata object, containing data from the canvas.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>x</span> : Float<div class='sub-desc'><p>The x coordinate, in the canvas, of the rectangle-area you will get.</p>\n</div></li><li><span class='pre'>y</span> : Float<div class='sub-desc'><p>The y coordinate, in the canvas, of the rectangle-area you will get.</p>\n</div></li><li><span class='pre'>width</span> : Float<div class='sub-desc'><p>The width of the rectangle-area you will get.</p>\n</div></li><li><span class='pre'>height</span> : Float<div class='sub-desc'><p>The height of the rectangle-area you will get.</p>\n</div></li></ul></div></div></div><div id='method-globalAlpha' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-globalAlpha' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-globalAlpha' class='name expandable'>globalAlpha</a>( <span class='pre'>[value]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Setter and getter method to define the transparency of a drawing. ...</div><div class='long'><p>Setter and getter method to define the transparency of a drawing.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>value</span> : Integer (optional)<div class='sub-desc'><p>The value of the transparency.</p>\n</div></li></ul></div></div></div><div id='method-globalCompositeOperation' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-globalCompositeOperation' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-globalCompositeOperation' class='name expandable'>globalCompositeOperation</a>( <span class='pre'>[value]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Setter and getter method to define how shapes and drawings are positioned onto the canvas. ...</div><div class='long'><p>Setter and getter method to define how shapes and drawings are positioned onto the canvas.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>value</span> : String (optional)<div class='sub-desc'><p>The position on the canvas (possible values: source-atop, source-in, source-out,source-over, destination-atop, destination-in, destination-out, destination-over, lighter, copy, xor,vendorName-operationName) .</p>\n</div></li></ul></div></div></div><div id='method-isPointInPath' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-isPointInPath' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-isPointInPath' class='name expandable'>isPointInPath</a>( <span class='pre'>x, y</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Returns a Boolean value, true if the specified point is in the path, otherwise false. ...</div><div class='long'><p>Returns a Boolean value, <code>true</code> if the specified point is in the path, otherwise <code>false</code>.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>x</span> : Float<div class='sub-desc'><p>The x-coordinate of the point.</p>\n</div></li><li><span class='pre'>y</span> : Float<div class='sub-desc'><p>The y-coordinate of the point.</p>\n</div></li></ul></div></div></div><div id='method-lineCap' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-lineCap' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-lineCap' class='name expandable'>lineCap</a>( <span class='pre'>[value]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Setter and getter method to define the style of the ending of a line. ...</div><div class='long'><p>Setter and getter method to define the style of the ending of a line.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>value</span> : String (optional)<div class='sub-desc'><p>The style of the ending of the line (possible values: butt, round, square).</p>\n</div></li></ul></div></div></div><div id='method-lineJoin' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-lineJoin' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-lineJoin' class='name expandable'>lineJoin</a>( <span class='pre'>[value]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Setter and getter method to define the style of the corners of a line. ...</div><div class='long'><p>Setter and getter method to define the style of the corners of a line.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>value</span> : String (optional)<div class='sub-desc'><p>The style of the corners of the line (possible values: bevel, round,  miter).</p>\n</div></li></ul></div></div></div><div id='method-lineTo' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-lineTo' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-lineTo' class='name expandable'>lineTo</a>( <span class='pre'>x, y</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Creates a line from the last point in the path to the given point. ...</div><div class='long'><p>Creates a line from the last point in the path to the given point.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>x</span> : Float<div class='sub-desc'><p>The x-coordinate of where to create the line to.</p>\n</div></li><li><span class='pre'>y</span> : Float<div class='sub-desc'><p>The y-coordinate of where to create the line to.</p>\n</div></li></ul></div></div></div><div id='method-lineWidth' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-lineWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-lineWidth' class='name expandable'>lineWidth</a>( <span class='pre'>[value]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Setter and getter method to define the width of a stroke. ...</div><div class='long'><p>Setter and getter method to define the width of a stroke.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>value</span> : Float (optional)<div class='sub-desc'><p>The width of the stroke being drawed.</p>\n</div></li></ul></div></div></div><div id='method-measureText' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-measureText' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-measureText' class='name expandable'>measureText</a>( <span class='pre'>text</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Measures the given text string, returns the result in pixels. ...</div><div class='long'><p>Measures the given text string, returns the result in pixels.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>text</span> : String<div class='sub-desc'><p>The text that will be measured.</p>\n</div></li></ul></div></div></div><div id='method-miterLimit' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-miterLimit' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-miterLimit' class='name expandable'>miterLimit</a>( <span class='pre'>[value]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Setter and getter method to define the limit size of the corners in a line. ...</div><div class='long'><p>Setter and getter method to define the limit size of the corners in a line.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>value</span> : Integer (optional)<div class='sub-desc'><p>The limit size of the corners in a line.</p>\n</div></li></ul></div></div></div><div id='method-moveTo' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-moveTo' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-moveTo' class='name expandable'>moveTo</a>( <span class='pre'>x, y</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Moves the path to the specified point, without creating a line. ...</div><div class='long'><p>Moves the path to the specified point, without creating a line.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>x</span> : Float<div class='sub-desc'><p>The x-coordinate of where to move the path to.</p>\n</div></li><li><span class='pre'>y</span> : Float<div class='sub-desc'><p>The y-coordinate of where to move the path to.</p>\n</div></li></ul></div></div></div><div id='method-multiline' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-multiline' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-multiline' class='name expandable'>multiline</a>( <span class='pre'>[x], [y], text, [style], [fontSize], [fontFamily], [fontUnit], [phi], [rp], [delimiter], [align], [correctLineHeight]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Draws a multiline text onto the selected canvas elements. ...</div><div class='long'><p>Draws a multiline text onto the selected canvas elements.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>x</span> : Float (optional)<div class='sub-desc'><p>The canvas' x-coordinate of where to place the text.</p>\n</div></li><li><span class='pre'>y</span> : Float (optional)<div class='sub-desc'><p>The canvas' y-coordinate of where to place the text.</p>\n</div></li><li><span class='pre'>text</span> : String<div class='sub-desc'><p>The text that will be written on the canvas.</p>\n</div></li><li><span class='pre'>style</span> : String (optional)<div class='sub-desc'><p>The style of the text that will be written on the canvas (possible values: fillText, strokeText).</p>\n</div></li><li><span class='pre'>fontSize</span> : Float (optional)<div class='sub-desc'><p>The font size the text that will be written on the canvas.</p>\n</div></li><li><span class='pre'>fontFamily</span> : String (optional)<div class='sub-desc'><p>The font family of the text that will be written on the canvas.</p>\n</div></li><li><span class='pre'>fontUnit</span> : String (optional)<div class='sub-desc'><p>The font unit of the text that will be written on the canvas.</p>\n</div></li><li><span class='pre'>phi</span> : Float (optional)<div class='sub-desc'><p>The rotation angle (in degree) of the text that will be written on the canvas.</p>\n</div></li><li><span class='pre'>rp</span> : String (optional)<div class='sub-desc'><p>The point around the text will be rotated (possible values: nw, n, ne, w, c (default), e, sw, s, se).</p>\n</div></li><li><span class='pre'>delimiter</span> : String (optional)<div class='sub-desc'><p>The delimiter used to detect a new line.</p>\n</div></li><li><span class='pre'>align</span> : String (optional)<div class='sub-desc'><p>The text align of the text that will be written on the canvas.</p>\n</div></li><li><span class='pre'>correctLineHeight</span> : Float (optional)<div class='sub-desc'><p>An offset to correct the line height.</p>\n</div></li></ul></div></div></div><div id='method-putImageData' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-putImageData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-putImageData' class='name expandable'>putImageData</a>( <span class='pre'>imgData, x, y, dirtyX, dirtyY, dirtyWidth, dirtyHeight</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Draws imagedata onto the canvas. ...</div><div class='long'><p>Draws imagedata onto the canvas.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>imgData</span> : Image<div class='sub-desc'><p>The imagedata object to put on the canvas.</p>\n</div></li><li><span class='pre'>x</span> : Float<div class='sub-desc'><p>The x coordinate, in the canvas, of where to put the drawings.</p>\n</div></li><li><span class='pre'>y</span> : Float<div class='sub-desc'><p>The y coordinate, in the canvas, of where to put the drawings.</p>\n</div></li><li><span class='pre'>dirtyX</span> : Float<div class='sub-desc'><p>The x coordinate, of the drawings you want to put onto the canvas.</p>\n</div></li><li><span class='pre'>dirtyY</span> : Float<div class='sub-desc'><p>The y coordinate, of the drawings you want to put onto the canvas.</p>\n</div></li><li><span class='pre'>dirtyWidth</span> : Float<div class='sub-desc'><p>The width of the drawings you want to put onto the canvas.</p>\n</div></li><li><span class='pre'>dirtyHeight</span> : Float<div class='sub-desc'><p>The height of the drawings you want to put onto the canvas.</p>\n</div></li></ul></div></div></div><div id='method-quadraticCurveTo' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-quadraticCurveTo' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-quadraticCurveTo' class='name expandable'>quadraticCurveTo</a>( <span class='pre'>cpx, cpy, x, y</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Creates a quadratic Bezier curve from the current point in the path to the specified path. ...</div><div class='long'><p>Creates a quadratic Bezier curve from the current point in the path to the specified path.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>cpx</span> : Float<div class='sub-desc'><p>The x-coordinate of the controlpoint.</p>\n</div></li><li><span class='pre'>cpy</span> : Float<div class='sub-desc'><p>The y-coordinate of the controlpoint.</p>\n</div></li><li><span class='pre'>x</span> : Float<div class='sub-desc'><p>The x-coordinate of where to create the line to.</p>\n</div></li><li><span class='pre'>y</span> : Float<div class='sub-desc'><p>The y-coordinate of where to create the line to.</p>\n</div></li></ul></div></div></div><div id='method-rect' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-rect' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-rect' class='name expandable'>rect</a>( <span class='pre'>x, y, width, height</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Creates a rectangle. ...</div><div class='long'><p>Creates a rectangle.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>x</span> : Float<div class='sub-desc'><p>The canvas' x-coordinate of where to place the upperleft corner of the rectangle.</p>\n</div></li><li><span class='pre'>y</span> : Float<div class='sub-desc'><p>The canvas' y-coordinate of where to place the upperleft corner of the rectangle.</p>\n</div></li><li><span class='pre'>width</span> : Float<div class='sub-desc'><p>The width of the rectangle, in pixels.</p>\n</div></li><li><span class='pre'>height</span> : Float<div class='sub-desc'><p>The height of the rectangle, in pixels.</p>\n</div></li></ul></div></div></div><div id='method-restore' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-restore' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-restore' class='name expandable'>restore</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Pops the top state on the stack, restoring the context to that state. ...</div><div class='long'><p>Pops the top state on the stack, restoring the context to that state.</p>\n        <p>Available since: <b>6.14.0</b></p>\n</div></div></div><div id='method-rotate' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-rotate' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-rotate' class='name expandable'>rotate</a>( <span class='pre'>angle</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Rotates the drawings based on the given angle. ...</div><div class='long'><p>Rotates the drawings based on the given angle.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>angle</span> : Float<div class='sub-desc'><p>The value of the angle in degree.</p>\n</div></li></ul></div></div></div><div id='method-save' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-save' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-save' class='name expandable'>save</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Pushes the current state onto the stack. ...</div><div class='long'><p>Pushes the current state onto the stack.</p>\n        <p>Available since: <b>6.14.0</b></p>\n</div></div></div><div id='method-scale' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-scale' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-scale' class='name expandable'>scale</a>( <span class='pre'>x, y</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Scales the drawings based on the x and y parameters. ...</div><div class='long'><p>Scales the drawings based on the x and y parameters.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>x</span> : Float<div class='sub-desc'><p>The scaling factor of the the width.</p>\n</div></li><li><span class='pre'>y</span> : Float<div class='sub-desc'><p>The scaling factor of the the height.</p>\n</div></li></ul></div></div></div><div id='method-shadowBlur' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-shadowBlur' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-shadowBlur' class='name expandable'>shadowBlur</a>( <span class='pre'>[value]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Setter and getter method to define the size of the blurring effect. ...</div><div class='long'><p>Setter and getter method to define the size of the blurring effect.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>value</span> : Integer (optional)<div class='sub-desc'><p>The size of the blurring effect.</p>\n</div></li></ul></div></div></div><div id='method-shadowColor' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-shadowColor' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-shadowColor' class='name expandable'>shadowColor</a>( <span class='pre'>[value]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Setter and getter method to define the color of a shadow. ...</div><div class='long'><p>Setter and getter method to define the color of a shadow.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>value</span> : Color (optional)<div class='sub-desc'><p>The color of the shadow.</p>\n</div></li></ul></div></div></div><div id='method-shadowOffsetX' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-shadowOffsetX' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-shadowOffsetX' class='name expandable'>shadowOffsetX</a>( <span class='pre'>[value]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Setter and getter method to define the horizontal distance of a shadow. ...</div><div class='long'><p>Setter and getter method to define the horizontal distance of a shadow.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>value</span> : Integer (optional)<div class='sub-desc'><p>The horizontal distance of the shadow.</p>\n</div></li></ul></div></div></div><div id='method-shadowOffsetY' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-shadowOffsetY' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-shadowOffsetY' class='name expandable'>shadowOffsetY</a>( <span class='pre'>[value]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Setter and getter method to define the vertical distance of a shadow. ...</div><div class='long'><p>Setter and getter method to define the vertical distance of a shadow.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>value</span> : Integer (optional)<div class='sub-desc'><p>The vertical distance of the shadow.</p>\n</div></li></ul></div></div></div><div id='method-stroke' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-stroke' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-stroke' class='name expandable'>stroke</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Creates a stroke/path described with the specified path methodse. ...</div><div class='long'><p>Creates a stroke/path described with the specified path methodse.</p>\n        <p>Available since: <b>6.14.0</b></p>\n</div></div></div><div id='method-strokeRect' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-strokeRect' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-strokeRect' class='name expandable'>strokeRect</a>( <span class='pre'>x, y, width, height</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Draws the lines of a rectangle using the color/style of the strokeStyle attribute. ...</div><div class='long'><p>Draws the lines of a rectangle using the color/style of the strokeStyle attribute.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>x</span> : Float<div class='sub-desc'><p>The x-coordinate of where to place the upperleft corner of the rectangle.</p>\n</div></li><li><span class='pre'>y</span> : Float<div class='sub-desc'><p>The y-coordinate of where to place the upperleft corner of the rectangle.</p>\n</div></li><li><span class='pre'>width</span> : Float<div class='sub-desc'><p>The width of the rectangle, in pixels.</p>\n</div></li><li><span class='pre'>height</span> : Float<div class='sub-desc'><p>The height of the rectangle, in pixels.</p>\n</div></li></ul></div></div></div><div id='method-strokeStyle' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-strokeStyle' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-strokeStyle' class='name expandable'>strokeStyle</a>( <span class='pre'>[value]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Setter and getter method to define the stroke color or style of a shape or text. ...</div><div class='long'><p>Setter and getter method to define the stroke color or style of a shape or text.</p>\n\n<p>Possible color formats:\n- color name as string\n- rgb(a)\n- hex</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>value</span> : Color, Style (optional)<div class='sub-desc'><p>A value to define the color or style.</p>\n</div></li></ul></div></div></div><div id='method-strokeText' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-strokeText' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-strokeText' class='name expandable'>strokeText</a>( <span class='pre'>text, x, y, [maxWidth]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Draws text on the canvas, without filling, using the color set by the strokeStyle attribute. ...</div><div class='long'><p>Draws text on the canvas, without filling, using the color set by the strokeStyle attribute.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>text</span> : String<div class='sub-desc'><p>The text that will be written on the canvas.</p>\n</div></li><li><span class='pre'>x</span> : Float<div class='sub-desc'><p>The canvas' x-coordinate of where to place the text.</p>\n</div></li><li><span class='pre'>y</span> : Float<div class='sub-desc'><p>The canvas' y-coordinate of where to place the text.</p>\n</div></li><li><span class='pre'>maxWidth</span> : Float (optional)<div class='sub-desc'><p>The maximum allowed width of the text, in pixels.</p>\n</div></li></ul></div></div></div><div id='method-toDataURL' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-toDataURL' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-toDataURL' class='name expandable'>toDataURL</a>( <span class='pre'>type, index</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the content of the current canvas as an image. ...</div><div class='long'><p>Returns the content of the current canvas as an image. In browsers with no native canvas support it\nreturns <code>undefined</code>.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>type</span> : String<div class='sub-desc'><p>The type of the image that will be generated.</p>\n</div></li><li><span class='pre'>index</span> : Integer<div class='sub-desc'><p>The index of the canvas from which the image that will be generated.</p>\n</div></li></ul></div></div></div><div id='method-translate' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.canvas'>jQuery.canvas</span><br/><a href='source/canvas.html#jQuery-canvas-method-translate' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.canvas-method-translate' class='name expandable'>translate</a>( <span class='pre'>x, y</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Moves the drawings horizontally and vertically. ...</div><div class='long'><p>Moves the drawings horizontally and vertically.</p>\n        <p>Available since: <b>6.14.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>x</span> : Float<div class='sub-desc'><p>Moves the canvas horizontally to the given coordinate.</p>\n</div></li><li><span class='pre'>y</span> : Float<div class='sub-desc'><p>Moves the canvas vertically to the given coordinate.</p>\n</div></li></ul></div></div></div></div></div></div></div>","meta":{}});