Ext.data.JsonP.jQuery_ui_uiSlides({"tagname":"class","name":"jQuery.ui.uiSlides","autodetected":{},"files":[{"filename":"slides.js","href":"slides.html#jQuery-ui-uiSlides"}],"extends":"jQuery.widget","uses":["ep.ui.core","jQuery.event.special.load","jQuery.event.special.touch","jQuery.fn.class","jQuery.tmpl","jQuery.ui.widget"],"since":"6.14.0","members":[{"name":"autoplay","tagname":"cfg","owner":"jQuery.ui.uiSlides","id":"cfg-autoplay","meta":{}},{"name":"caption","tagname":"cfg","owner":"jQuery.ui.uiSlides","id":"cfg-caption","meta":{}},{"name":"controls","tagname":"cfg","owner":"jQuery.ui.uiSlides","id":"cfg-controls","meta":{}},{"name":"count","tagname":"cfg","owner":"jQuery.ui.uiSlides","id":"cfg-count","meta":{}},{"name":"defaultSize","tagname":"cfg","owner":"jQuery.ui.uiSlides","id":"cfg-defaultSize","meta":{}},{"name":"delay","tagname":"cfg","owner":"jQuery.ui.uiSlides","id":"cfg-delay","meta":{}},{"name":"effect","tagname":"cfg","owner":"jQuery.ui.uiSlides","id":"cfg-effect","meta":{}},{"name":"images","tagname":"cfg","owner":"jQuery.ui.uiSlides","id":"cfg-images","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-jQuery.ui.uiSlides","short_doc":"Create a slideshow for a given set of images. ...","component":false,"superclasses":["jQuery.widget"],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"html":"<div><pre class=\"hierarchy\"><h4>Hierarchy</h4><div class='subclass first-child'>jQuery.widget<div class='subclass '><strong>jQuery.ui.uiSlides</strong></div></div><h4>Uses</h4><div class='dependency'>ep.ui.core</div><div class='dependency'>jQuery.event.special.load</div><div class='dependency'>jQuery.event.special.touch</div><div class='dependency'>jQuery.fn.class</div><div class='dependency'>jQuery.tmpl</div><div class='dependency'>jQuery.ui.widget</div><h4>Files</h4><div class='dependency'><a href='source/slides.html#jQuery-ui-uiSlides' target='_blank'>slides.js</a></div></pre><div class='doc-contents'><p>Create a slideshow for a given set of images.</p>\n\n<p>The <code>ep.uiSlides()</code> method creates a slideshow for a given set of images.</p>\n\n<h3>Examples</h3>\n\n<p>Create a simple slideshow.</p>\n\n<p>JavaScript:</p>\n\n<pre><code>ep('#slides01')\n  .uiSlides({\n    images  : '<a href=\"#!/api/jQuery.ui.uiSlides-cfg-images\" rel=\"jQuery.ui.uiSlides-cfg-images\" class=\"docClass\">images</a> img',\n    action  : \"lightbox\",\n    caption : true,\n    count   : true,\n    delay   : 500,\n    autoplay: true\n});\n</code></pre>\n\n<p>HTML:</p>\n\n<pre><code>&lt;ul id=\"images\" style=\"display:none;\"&gt;\n  &lt;li&gt;\n    &lt;img\n      alt=\"Bild 1\"\n      src=\"ep/ui/slidesTest_Image1.jpg\"\n      data-src-m=\"ep/ui/slidesTest_Image1.jpg\"\n      data-src-l=\"ep/ui/slidesTest_Image1.jpg\"\n    /&gt;\n  &lt;/li&gt;\n  &lt;li&gt;\n    &lt;img\n      alt=\"Bild 2\"\n      src=\"ep/ui/slidesTest_Image2.jpg\"\n      data-src-m=\"ep/ui/slidesTest_Image2.jpg\"\n      data-src-l=\"ep/ui/slidesTest_Image2.jpg\"\n    /&gt;\n  &lt;/li&gt;\n  &lt;li&gt;\n    &lt;img\n      alt=\"Bild 3\"\n      src=\"ep/ui/slidesTest_Image1.jpg\"\n      data-src-m=\"ep/ui/slidesTest_Image1.jpg\"\n      data-src-l=\"ep/ui/slidesTest_Image1.jpg\"\n    /&gt;\n  &lt;/li&gt;\n&lt;/ul&gt;\n&lt;div id=\"slides01\" style=\"width:400px;height:400px;\"&gt;&lt;/div&gt;\n</code></pre>\n        <p>Available since: <b>6.14.0</b></p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div id='cfg-autoplay' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiSlides'>jQuery.ui.uiSlides</span><br/><a href='source/slides.html#jQuery-ui-uiSlides-cfg-autoplay' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiSlides-cfg-autoplay' class='name expandable'>autoplay</a> : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A boolean indication wether to change images automatically by delay.</p>\n</div><div class='long'><p>A boolean indication wether to change images automatically by delay.</p>\n</div></div></div><div id='cfg-caption' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiSlides'>jQuery.ui.uiSlides</span><br/><a href='source/slides.html#jQuery-ui-uiSlides-cfg-caption' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiSlides-cfg-caption' class='name expandable'>caption</a> : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A boolean indication wether to show the caption of the images.</p>\n</div><div class='long'><p>A boolean indication wether to show the caption of the images.</p>\n</div></div></div><div id='cfg-controls' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiSlides'>jQuery.ui.uiSlides</span><br/><a href='source/slides.html#jQuery-ui-uiSlides-cfg-controls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiSlides-cfg-controls' class='name expandable'>controls</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>The way the controls will be displayed (auto / visible / hidden).</p>\n</div><div class='long'><p>The way the controls will be displayed (auto / visible / hidden).</p>\n</div></div></div><div id='cfg-count' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiSlides'>jQuery.ui.uiSlides</span><br/><a href='source/slides.html#jQuery-ui-uiSlides-cfg-count' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiSlides-cfg-count' class='name expandable'>count</a> : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A boolean indication wether to show the count of the images like (i of n).</p>\n</div><div class='long'><p>A boolean indication wether to show the count of the images like (i of n).</p>\n</div></div></div><div id='cfg-defaultSize' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiSlides'>jQuery.ui.uiSlides</span><br/><a href='source/slides.html#jQuery-ui-uiSlides-cfg-defaultSize' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiSlides-cfg-defaultSize' class='name expandable'>defaultSize</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>which image size should be used as default ( 'XS' / 'S' / 'M' / 'L' ).</p>\n</div><div class='long'><p>which image size should be used as default ( 'XS' / 'S' / 'M' / 'L' ).</p>\n</div></div></div><div id='cfg-delay' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiSlides'>jQuery.ui.uiSlides</span><br/><a href='source/slides.html#jQuery-ui-uiSlides-cfg-delay' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiSlides-cfg-delay' class='name expandable'>delay</a> : Number<span class=\"signature\"></span></div><div class='description'><div class='short'><p>The time images will be visible in the play mode.</p>\n</div><div class='long'><p>The time images will be visible in the play mode.</p>\n</div></div></div><div id='cfg-effect' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiSlides'>jQuery.ui.uiSlides</span><br/><a href='source/slides.html#jQuery-ui-uiSlides-cfg-effect' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiSlides-cfg-effect' class='name expandable'>effect</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>The change over effect.</p>\n</div><div class='long'><p>The change over effect.</p>\n</div></div></div><div id='cfg-images' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiSlides'>jQuery.ui.uiSlides</span><br/><a href='source/slides.html#jQuery-ui-uiSlides-cfg-images' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiSlides-cfg-images' class='name expandable'>images</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A set of images which will be displayed.</p>\n</div><div class='long'><p>A set of images which will be displayed.</p>\n</div></div></div></div></div></div></div>","meta":{}});