Ext.data.JsonP.jQuery_ui_uiSpinner({"tagname":"class","name":"jQuery.ui.uiSpinner","autodetected":{},"files":[{"filename":"spinner.js","href":"spinner.html#jQuery-ui-uiSpinner"}],"extends":"jQuery.ui.uiValidate","uses":["ep.date","ep.sprite","ep.ui.validate"],"since":"6.11.0","members":[{"name":"accept","tagname":"cfg","owner":"jQuery.ui.uiValidate","id":"cfg-accept","meta":{}},{"name":"format","tagname":"cfg","owner":"jQuery.ui.uiValidate","id":"cfg-format","meta":{}},{"name":"max","tagname":"cfg","owner":"jQuery.ui.uiValidate","id":"cfg-max","meta":{}},{"name":"maxlength","tagname":"cfg","owner":"jQuery.ui.uiValidate","id":"cfg-maxlength","meta":{}},{"name":"min","tagname":"cfg","owner":"jQuery.ui.uiValidate","id":"cfg-min","meta":{}},{"name":"minlength","tagname":"cfg","owner":"jQuery.ui.uiValidate","id":"cfg-minlength","meta":{}},{"name":"options","tagname":"cfg","owner":"jQuery.ui.uiInput","id":"cfg-options","meta":{}},{"name":"region","tagname":"cfg","owner":"jQuery.ui.uiValidate","id":"cfg-region","meta":{}},{"name":"required","tagname":"cfg","owner":"jQuery.ui.uiValidate","id":"cfg-required","meta":{}},{"name":"step","tagname":"cfg","owner":"jQuery.ui.uiSpinner","id":"cfg-step","meta":{}},{"name":"stepType","tagname":"cfg","owner":"jQuery.ui.uiSpinner","id":"cfg-stepType","meta":{}},{"name":"strict","tagname":"cfg","owner":"jQuery.ui.uiValidate","id":"cfg-strict","meta":{}},{"name":"type","tagname":"cfg","owner":"jQuery.ui.uiSpinner","id":"cfg-type","meta":{}},{"name":"unit","tagname":"cfg","owner":"jQuery.ui.uiSpinner","id":"cfg-unit","meta":{}},{"name":"valid","tagname":"cfg","owner":"jQuery.ui.uiValidate","id":"cfg-valid","meta":{}},{"name":"addClass","tagname":"method","owner":"jQuery.ui.uiInput","id":"method-addClass","meta":{}},{"name":"removeClass","tagname":"method","owner":"jQuery.ui.uiInput","id":"method-removeClass","meta":{}},{"name":"changeValue","tagname":"event","owner":"jQuery.ui.uiInput","id":"event-changeValue","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-jQuery.ui.uiSpinner","short_doc":"Add spinner handling for input elements. ...","component":false,"superclasses":["jQuery.widget","jQuery.ui.uiInput","jQuery.ui.uiValidate"],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"html":"<div><pre class=\"hierarchy\"><h4>Hierarchy</h4><div class='subclass first-child'>jQuery.widget<div class='subclass '><a href='#!/api/jQuery.ui.uiInput' rel='jQuery.ui.uiInput' class='docClass'>jQuery.ui.uiInput</a><div class='subclass '><a href='#!/api/jQuery.ui.uiValidate' rel='jQuery.ui.uiValidate' class='docClass'>jQuery.ui.uiValidate</a><div class='subclass '><strong>jQuery.ui.uiSpinner</strong></div></div></div></div><h4>Uses</h4><div class='dependency'>ep.date</div><div class='dependency'>ep.sprite</div><div class='dependency'>ep.ui.validate</div><h4>Files</h4><div class='dependency'><a href='source/spinner.html#jQuery-ui-uiSpinner' target='_blank'>spinner.js</a></div></pre><div class='doc-contents'><p>Add spinner handling for input elements.</p>\n\n<p>The <code>.uiSpinner()</code> method add spinner handling to an input elements.</p>\n\n<p>The <code>.uiSpinner()</code> method is a validation input also and using the validation types ''date'' and ''number'' from\nthe <a href=\"#!/api/ep.validate\" rel=\"ep.validate\" class=\"docClass\">ep.validate</a> module. Have a look at the additional options, some options are only available for\na special validation types.</p>\n\n<h3>Examples</h3>\n\n<p>Apply .uiSpinner() to input element named percent.</p>\n\n<p>JavaScript:</p>\n\n<pre><code>ep(':input[name=percent]')\n    .uiSpinner({\n        required:   true,\n        type:       'number',\n        format:     'p',\n        min:        10,\n        max:        50,\n        step:       10\n    });\n</code></pre>\n\n<p>HTML:</p>\n\n<pre><code>&lt;form&gt;\n  &lt;input type=\"text\" name=\"percent\" /&gt;\n&lt;/form&gt;\n</code></pre>\n        <p>Available since: <b>6.11.0</b></p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div id='cfg-accept' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/jQuery.ui.uiValidate' rel='jQuery.ui.uiValidate' class='defined-in docClass'>jQuery.ui.uiValidate</a><br/><a href='source/validate.html#jQuery-ui-uiValidate-cfg-accept' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiValidate-cfg-accept' class='name expandable'>accept</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A list of accepted mimetypes or mimetype groups.</p>\n</div><div class='long'><p>A list of accepted mimetypes or mimetype groups.</p>\n</div></div></div><div id='cfg-format' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/jQuery.ui.uiValidate' rel='jQuery.ui.uiValidate' class='defined-in docClass'>jQuery.ui.uiValidate</a><br/><a href='source/validate.html#jQuery-ui-uiValidate-cfg-format' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiValidate-cfg-format' class='name expandable'>format</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A date/number formatter [look at the jQuery.i18n plugin].</p>\n</div><div class='long'><p>A date/number formatter [look at the jQuery.i18n plugin].</p>\n</div></div></div><div id='cfg-max' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/jQuery.ui.uiValidate' rel='jQuery.ui.uiValidate' class='defined-in docClass'>jQuery.ui.uiValidate</a><br/><a href='source/validate.html#jQuery-ui-uiValidate-cfg-max' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiValidate-cfg-max' class='name expandable'>max</a> : Integer<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A maximum valid number.</p>\n</div><div class='long'><p>A maximum valid number.</p>\n</div></div></div><div id='cfg-maxlength' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/jQuery.ui.uiValidate' rel='jQuery.ui.uiValidate' class='defined-in docClass'>jQuery.ui.uiValidate</a><br/><a href='source/validate.html#jQuery-ui-uiValidate-cfg-maxlength' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiValidate-cfg-maxlength' class='name expandable'>maxlength</a> : Integer<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A maximum number of chars.</p>\n</div><div class='long'><p>A maximum number of chars.</p>\n</div></div></div><div id='cfg-min' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/jQuery.ui.uiValidate' rel='jQuery.ui.uiValidate' class='defined-in docClass'>jQuery.ui.uiValidate</a><br/><a href='source/validate.html#jQuery-ui-uiValidate-cfg-min' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiValidate-cfg-min' class='name expandable'>min</a> : Integer<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A minimum valid number.</p>\n</div><div class='long'><p>A minimum valid number.</p>\n</div></div></div><div id='cfg-minlength' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/jQuery.ui.uiValidate' rel='jQuery.ui.uiValidate' class='defined-in docClass'>jQuery.ui.uiValidate</a><br/><a href='source/validate.html#jQuery-ui-uiValidate-cfg-minlength' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiValidate-cfg-minlength' class='name expandable'>minlength</a> : Integer<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A minimum number of chars.</p>\n</div><div class='long'><p>A minimum number of chars.</p>\n</div></div></div><div id='cfg-options' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/jQuery.ui.uiInput' rel='jQuery.ui.uiInput' class='defined-in docClass'>jQuery.ui.uiInput</a><br/><a href='source/input.html#jQuery-ui-uiInput-cfg-options' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiInput-cfg-options' class='name expandable'>options</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Option to pass to the widget. ...</div><div class='long'><p>Option to pass to the widget.</p>\n<p>Defaults to: <code>{autofocus: false, big: false}</code></p><ul><li><span class='pre'>placeholder</span> : String<div class='sub-desc'><p>Placeholder text.</p>\n</div></li><li><span class='pre'>info</span> : String<div class='sub-desc'><p>An info text show as tooltip if the element has focus.</p>\n</div></li><li><span class='pre'>autofocus</span> : Boolean<div class='sub-desc'><p>Indication whether the element gets focus on page load.</p>\n<p>Defaults to: <code>false</code></p></div></li><li><span class='pre'>big</span> : Boolean<div class='sub-desc'><p>Indication whether the element is displayed bigger than the normal one.</p>\n<p>Defaults to: <code>false</code></p></div></li><li><span class='pre'>orientation</span> : String<div class='sub-desc'><p>Decide in which direction tooltipps will be shown. Can be either <em>right</em>, <em>left</em>, <em>top</em> or <em>bottom</em></p>\n</div></li></ul></div></div></div><div id='cfg-region' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/jQuery.ui.uiValidate' rel='jQuery.ui.uiValidate' class='defined-in docClass'>jQuery.ui.uiValidate</a><br/><a href='source/validate.html#jQuery-ui-uiValidate-cfg-region' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiValidate-cfg-region' class='name expandable'>region</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>An i18n region [look at the jQuery.i18n plugin].</p>\n</div><div class='long'><p>An i18n region [look at the jQuery.i18n plugin].</p>\n</div></div></div><div id='cfg-required' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/jQuery.ui.uiValidate' rel='jQuery.ui.uiValidate' class='defined-in docClass'>jQuery.ui.uiValidate</a><br/><a href='source/validate.html#jQuery-ui-uiValidate-cfg-required' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiValidate-cfg-required' class='name expandable'>required</a> : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A boolean indication wether the value is required.</p>\n</div><div class='long'><p>A boolean indication wether the value is required.</p>\n</div></div></div><div id='cfg-step' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiSpinner'>jQuery.ui.uiSpinner</span><br/><a href='source/spinner.html#jQuery-ui-uiSpinner-cfg-step' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiSpinner-cfg-step' class='name expandable'>step</a> : Number<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A difference to next/previous step.</p>\n</div><div class='long'><p>A difference to next/previous step.</p>\n</div></div></div><div id='cfg-stepType' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiSpinner'>jQuery.ui.uiSpinner</span><br/><a href='source/spinner.html#jQuery-ui-uiSpinner-cfg-stepType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiSpinner-cfg-stepType' class='name expandable'>stepType</a> : Number<span class=\"signature\"></span></div><div class='description'><div class='short'>One of the supported types: 'fullYear', 'month', 'date', 'hours', 'minutes' or 'seconds'. ...</div><div class='long'><p>One of the supported types: 'fullYear', 'month', 'date', 'hours', 'minutes' or 'seconds'. For spinner type date only.</p>\n</div></div></div><div id='cfg-strict' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/jQuery.ui.uiValidate' rel='jQuery.ui.uiValidate' class='defined-in docClass'>jQuery.ui.uiValidate</a><br/><a href='source/validate.html#jQuery-ui-uiValidate-cfg-strict' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiValidate-cfg-strict' class='name expandable'>strict</a> : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A boolean indication wether to validate in strict mode.</p>\n</div><div class='long'><p>A boolean indication wether to validate in strict mode.</p>\n</div></div></div><div id='cfg-type' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiSpinner'>jQuery.ui.uiSpinner</span><br/><a href='source/spinner.html#jQuery-ui-uiSpinner-cfg-type' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiSpinner-cfg-type' class='name expandable'>type</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A value respectively validation type: 'number' or 'date'.</p>\n</div><div class='long'><p>A value respectively validation type: 'number' or 'date'.</p>\n<p>Overrides: <a href=\"#!/api/jQuery.ui.uiValidate-cfg-type\" rel=\"jQuery.ui.uiValidate-cfg-type\" class=\"docClass\">jQuery.ui.uiValidate.type</a></p></div></div></div><div id='cfg-unit' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiSpinner'>jQuery.ui.uiSpinner</span><br/><a href='source/spinner.html#jQuery-ui-uiSpinner-cfg-unit' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiSpinner-cfg-unit' class='name expandable'>unit</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A unit for example 'GByte', es this option only for type 'number' an format 'n*'</p>\n</div><div class='long'><p>A unit for example 'GByte', es this option only for type 'number' an format 'n*'</p>\n</div></div></div><div id='cfg-valid' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/jQuery.ui.uiValidate' rel='jQuery.ui.uiValidate' class='defined-in docClass'>jQuery.ui.uiValidate</a><br/><a href='source/validate.html#jQuery-ui-uiValidate-cfg-valid' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiValidate-cfg-valid' class='name expandable'>valid</a> : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A boolean indication wether the input is valid on startup.</p>\n</div><div class='long'><p>A boolean indication wether the input is valid on startup.</p>\n</div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-addClass' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/jQuery.ui.uiInput' rel='jQuery.ui.uiInput' class='defined-in docClass'>jQuery.ui.uiInput</a><br/><a href='source/input.html#jQuery-ui-uiInput-method-addClass' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiInput-method-addClass' class='name expandable'>addClass</a>( <span class='pre'>className</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>The .uiInput() method wraps an element around the input, the addClass add classes to the wrap element. ...</div><div class='long'><p>The <code>.uiInput()</code> method wraps an element around the input, the addClass add classes to the wrap element.</p>\n        <p>Available since: <b>6.11.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>className</span> : String<div class='sub-desc'><p>One or more class names to be added to the class attribute of each matched element.</p>\n</div></li></ul></div></div></div><div id='method-removeClass' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/jQuery.ui.uiInput' rel='jQuery.ui.uiInput' class='defined-in docClass'>jQuery.ui.uiInput</a><br/><a href='source/input.html#jQuery-ui-uiInput-method-removeClass' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiInput-method-removeClass' class='name expandable'>removeClass</a>( <span class='pre'>className</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>The .uiInput() method wraps an element around the input, the removeClass removes classes from the wrap element. ...</div><div class='long'><p>The <code>.uiInput()</code> method wraps an element around the input, the removeClass removes classes from the wrap element.</p>\n        <p>Available since: <b>6.11.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>className</span> : String<div class='sub-desc'><p>A class name to be removed from the class attribute of each matched element.</p>\n</div></li></ul></div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-event'>Events</h3><div class='subsection'><div id='event-changeValue' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/jQuery.ui.uiInput' rel='jQuery.ui.uiInput' class='defined-in docClass'>jQuery.ui.uiInput</a><br/><a href='source/input.html#jQuery-ui-uiInput-event-changeValue' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiInput-event-changeValue' class='name expandable'>changeValue</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>This event is triggered when the value is changed. ...</div><div class='long'><p>This event is triggered when the value is changed.</p>\n        <p>Available since: <b>6.11.0</b></p>\n</div></div></div></div></div></div></div>","meta":{}});